cocoon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Stefano Mazzocchi <stef...@apache.org>
Subject Re: JDK 1.2 vs 1.1: the never-ending story.
Date Mon, 20 Mar 2000 11:30:11 GMT
Ian Abbott wrote:
> 
> Stefano Mazzocchi wrote:
> >
> > > Are you saying Cocoon 2 will only run under Java 1.2?
> > > I hope not, there is no Java 1.2 for several platforms ....
> >
> > Beos
> > QNX
> > IRIX
> > and last but not least MacOS
> >
> > What do you guys think? Should we still aim for Java 1.1? Or just keep
> > the core 1.1 and add plugins that require 1.2 separate but still leaving
> > people with the ability to have basic functionality?
> >
> 
> I'm running Cocoon 1.7-dev on SGI IRIX 6.5.7 with JDK 1.2.2...
> 
> You can download it from
> http://www.sgi.com/developers/devtools/languages/java2_122.html
> 
> JDK 1.2.x on IRIX has been out for quite few months now...

Cool, didn't know that.
 
> So, go with JDK 1.2. I mean, who'd use a MacOS system to host a
> webserver? :)

...well, to be quite honest, I'm developing Cocoon on Win98... yeah,
people, the magic tool you all love comes from a stupid platform... why?
well, if it works on my system works on everyone else's :)

But I agree, I don't think there is enough need for 1.1 back
compatibility anymore.

And, besides, those systems who don't have a 1.2 platform should be
somehow _pushed_ to do so. The only way is to start writing killer-apps
that need 1.2 to work.

Besides, if we stick on 1.1 forever, what's the point on pushing for a
more open java platform?

-- 
Stefano Mazzocchi      One must still have chaos in oneself to be
                          able to give birth to a dancing star.
<stefano@apache.org>                             Friedrich Nietzsche
--------------------------------------------------------------------
 Missed us in Orlando? Make it up with ApacheCON Europe in London!
------------------------- http://ApacheCon.Com ---------------------



Mime
View raw message